﻿/*
* Header Blog 
 */
 .blog_header_container {
    width: 100%;
}

.blog_content_header {
    display: flex;
    padding: 30px 4%;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: var(--gray-light-6);
    gap: 1rem;
}

.blog_content_header h1 {
    font-size: var(--text-3xl) !important;
}

.blog_title_text {
    font-family: var(--font-family-3);
    font-weight: var(--weight-bolder);
    font-size: var(--text-xl);
    line-height: 1.936rem;
    color: var(--gray-dark);
    margin: 0;
    padding-bottom: 1rem;
}

.blog_content_text {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    text-align: center;
    font-family: var(--font-family-2);
    color: var(--gray-dark-11);
    margin: 0;
    font-size: var(--text-md);
    line-height: 18px;
}

.blog_content_text>a {
    font-family: var(--font-family-2s);
    color: var(--gray-dark-10);
    font-size: var(--text-sl);
    font-weight: var(--weight-bolder);
    text-decoration: none;
}

/* Blog Articulo */
.blog_main_container {
    background-color: #fff;
    display: flex;
    gap: 1.75rem;
    flex-direction: column;
}

.blog_title {
    text-align: start;
    border-bottom: 1px solid var(--gray-dark-3);
}

.blog_content_wrapper {
    display: flex;
    gap: 1.25rem;
    flex-direction: column;
}

.blog_content_article {

    display: grid;
    gap: 1.25rem;
    border-bottom: 1px solid var(--gray-dark-3);
    padding-bottom: 1.25rem;
}

.blog_content_article.hidden {
    display: none;
}

.blog_text_content {
    color: var(--gray-dark-11);
    font-family: var(--font-family-2);
    font-style: normal;
    font-weight: var(--weight-normal);
    line-height: 1.45rem;
}

.blog_text_content {
    display: none;
}

.blog_div_reading {
    display: flex;
    gap: 0.625rem;
    align-items: center;
    margin: .25rem .5rem;
}
.blog_a_reading {
    font-family: var(--font-family-3);
    font-weight: var(--weight-bolder);
    font-size: var(--text-lg);
    line-height: 1.453rem;
    color: var(--brand);
}

.blog_a_reading:hover {
    color: var(--brand);
}

.blog_category_date {
    display: flex;
    gap: 1rem;
    margin-top: 0;
    justify-content: start;
    align-items: center;
    margin-block: 8px;
}

.blog_label_category {
    font-weight: bold;
    background-color: #E5E5E5;
    padding: 5px;
    border-radius: 25px;
}

.blog_title_content {
    font-family: var(--font-family-3);
    font-weight: var(--weight-bolder);
    font-size: var(--text-xl);
    line-height: 1.936rem;
    color: var(--gray-dark);
    text-align: start;
    text-transform: none !important;
    margin-bottom: 0;
    /* text-transform: lowercase; */
    text-wrap-style: balance;
}

.blog_img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    aspect-ratio: 328/222;
}

.blog_pagination_distances {
    margin-top: 0.75rem;
    padding-bottom: 3.75rem;
}

.hidden {
    display: none;
}

@media (min-width: 768px) {
    .blog_content_article {
        grid-template-columns: minmax(258px, 1fr) minmax(187px, 380px);
    }

    .blog_content_text {
        order: 1;
        display: grid;
        gap: 1rem;
    }

    .blog_container_img {
        order: 2;
    }

    .blog_img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .blog_arrow_reading {
        width: 20px;
        height: 20px;
    }

    .blog_title_text {
        padding: 0 0 1.25rem;
    }
    .blog_img {
        aspect-ratio: 380 / 263;
    }
    .blog_a_reading {
        font-size: var(--text-lg);
        line-height: 1.453rem;
    }
    .blog_category_date {
        margin: 0;
    }
    .blog_pagination_distances {
        margin-top: .75rem;
    }
}

@media (min-width: 480px) and (max-width: 768px) {
    .blog_main_container {
        max-width: 740px;
    }

    .blog_content_article {
        max-width: 740px;
        display: grid;
        grid-template-columns: calc(60% - 1.5rem) 40%;
    }

    .blog_content_text {
        order: 1;
        display: grid;
    }

    .blog_container_img {
        order: 2;
    }

    .blog_img {
        width: 100%;
    }

    .blog_arrow_reading {
        width: 20px;
        height: 20px;
    }
}

@media (min-width: 768px) and (max-width: 1366px) {
    .blog_title_content {
        /* font-size: var(--text-sl); */
        line-height: 1.45rem;
    }
}

@media (min-width: 1366px) {
    .blog_main_container {
        max-width: initial;
    }

    .blog_title_text {
        font-size: var(--text-xl);
        line-height: 1.936rem;
    }
    .blog_title_content {
        font-size: var(--text-xl);
        line-height: 1.936rem;
        margin-bottom: 0;
    }
    .blog_text_content {
        display: block;
        word-wrap: break-word;
        text-align: left;
        font-size: var(--text-lg);
        margin-bottom: 0;
        line-height: 1.5rem;
    }
    .blog_content_text {
        order: 1;
        display: grid;
        gap: 1rem;
        font-size: var(--text-lg);
    }

    .blog_container_img {
        order: 2;
        max-width: 380px;
    }

    .blog_arrow_reading {
        width: 20px;
        height: 20px;
    }

    .blog_category_date {
        margin-top: 0;
    }

    .blog_content_wrapper {
        gap: 1.75rem;
        margin-top: .75rem;
    }
}

@media (min-width: 1800px) {
    .blog_content_header{
        padding: 50px 4%;
    }
    .blog_main_container {
        max-width: 1152px;
    }

    .blog_content_article {
        max-width: 1152px;
        grid-template-columns: 64.9305% 32.9861%;
        gap: 1.5rem;
        padding-bottom: 1.25rem;
    }
    .blog_container_img {
        order: 2;
    }
    .blog_arrow_reading {
        width: 20px;
        height: 20px;
    }
}
